//////////////////////////////////////////////////////
//	Author: Drammel									//
//	Date: 6/1/2009									//
//	Title: gui_display_infopane						//
//	Description: Displays a maneuver's description	//
//	on the infopane sidebar.						//
//////////////////////////////////////////////////////

void main(string sData)
{
	object oOrigin = OBJECT_SELF;
	object oPC = GetControlledCharacter(oOrigin);
	string sToB = GetFirstName(oPC) + "tob";
	object oToB = GetObjectByTag(sToB);
	string sTexture = GetLocalString(oToB, "maneuvers_ICON" + sData);
	int nTitle = GetLocalInt(oToB, "maneuvers_StrRef" + sData);
	int nText = GetLocalInt(oToB, "maneuvers_Description" + sData);

	SetGUITexture(oPC, "SCREEN_LEVELUP_MANEUVERS", "INFOPANE_IMAGE", sTexture + ".tga");
	SetGUIObjectText(oPC, "SCREEN_LEVELUP_MANEUVERS", "INFOPANE_TITLE", nTitle, "");
	SetGUIObjectText(oPC, "SCREEN_LEVELUP_MANEUVERS", "INFOPANE_TEXT", nText, "");
}
	