//////////////////////////////////////////////////
//	Author: Drammel								//
//	Date: 6/1/2009								//
//	Title: gui_display_known					//
//	Description: Displays maneuvers availible	//
//	for the PC to learn.						//
//////////////////////////////////////////////////

#include "bot9s_inc_levelup"

void main(string sLevel)
{
	object oOrigin = OBJECT_SELF;
	object oPC = GetControlledCharacter(oOrigin);
	string sToB = GetFirstName(oPC) + "tob";
	object oToB = GetObjectByTag(sToB);
	int nLevel = StringToInt(sLevel);
	int nClass = GetLocalInt(oToB, "LevelupClass");
	int nLevelCap = GetLocalInt(oToB, "LevelupCap");

	ClearListBox(oPC, "SCREEN_LEVELUP_MANEUVERS", "AVAILABLE_MANEUVER_LIST");
	DisplayManeuversByClass(nLevel, nClass, nLevelCap);
	SetLocalInt(oToB, "CurrentLevelupLevel", nLevel);

	if (GetLocalInt(oToB, "CurrentLevelupLevel") == 0)
	{
		int nStance = GetLocalInt(oToB, "LevelupStance");
		SetGUIObjectText(oPC, "SCREEN_LEVELUP_MANEUVERS", "POINT_POOL_TEXT", -1, IntToString(nStance));
	}
	else
	{
		int nLearn = GetLocalInt(oToB, "LevelupLearn");
		SetGUIObjectText(oPC, "SCREEN_LEVELUP_MANEUVERS", "POINT_POOL_TEXT", -1, IntToString(nLearn));
	}
}