//////////////////////////////////////////////
//	Author: Drammel							//
//	Date: 7/23/2009							//
//	Title: st_bl_charge						//
//	Description: As part of this maneuver,  //
//	you charge an opponent. You do not 		//
//	provoke attacks of opportunity for 		//
//	moving as part of this charge. If your  //
//	charge attack hits, it deals an extra 10//
//	points of damage.						//
//////////////////////////////////////////////

#include "bot9s_inc_maneuvers"

void main()
{
	object oPC = OBJECT_SELF;
	string sToB = GetFirstName(oPC) + "tob";
	object oToB = GetObjectByTag(sToB);
	
	if (NotMyFoe("BattleLeadersCharge") == TRUE)
	{
		return;
	}

	SetLocalInt(oToB, "WhiteRavenStrike", 1);
	DelayCommand(6.0f, SetLocalInt(oToB, "WhiteRavenStrike", 0));

	object oTarget = IntToObject(GetLocalInt(oToB, "BattleLeadersCharge"));
	object oWeapon = GetItemInSlot(INVENTORY_SLOT_RIGHTHAND, oPC);
	int nRoll = StrikeAttackRoll(oWeapon, oTarget, 2);

	StrikeAttackSound(oWeapon, oTarget, nRoll, 0.3f);
	DelayCommand(0.1f, BasicAttackAnimation(oWeapon, nRoll)); 
	DelayCommand(0.4f, StrikeWeaponDamage(oWeapon, nRoll, oTarget, 10));
	ExpendManeuver(188, "STR");
}