//////////////////////////////////////////////////
//	Author: Drammel								//
//	Date: 7/31/2009								//
//	Title: st_foehammer							//
//	Description: As part of this maneuver, you  //
//  make a single melee attack. This attack 	//
//  deals an extra 2d6 points of damage and 	//
//  automatically overcomes damage reduction.	//
//////////////////////////////////////////////////

#include "bot9s_inc_maneuvers"

void main()
{
	object oPC = OBJECT_SELF;
	string sToB = GetFirstName(oPC) + "tob";
	object oToB = GetObjectByTag(sToB);
	object oWeapon = GetItemInSlot(INVENTORY_SLOT_RIGHTHAND, oPC);

	if (NotMyFoe("Foehammer") == TRUE)
	{
		return;
	}

	SetLocalInt(oToB, "DevotedSpiritStrike", 1);
	DelayCommand(RoundsToSeconds(1), SetLocalInt(oToB, "DevotedSpiritStrike", 0));
	
	object oTarget = IntToObject(GetLocalInt(oToB, "Foehammer"));
	int nHit = StrikeAttackRoll(oWeapon, oTarget);

	StrikeAttackSound(oWeapon, oTarget, nHit, 0.2f);
	BasicAttackAnimation(oWeapon, nHit); 
	DelayCommand(0.3f, StrikeWeaponDamage(oWeapon, nHit, oTarget, d6(2), TRUE));
	ExpendManeuver(40, "STR"); //Wow another Devoted Spirit maneuver that's identical to another discipline Crusaders already have!
}